#ifndef MAINWINDOW_H
#define MAINWINDOW_H

#include <QMainWindow>

#include <QSerialPort>
#include <QSerialPortInfo>
#include <QLineEdit>
#include <QGridLayout>

QT_BEGIN_NAMESPACE
namespace Ui { class MainWindow; }
QT_END_NAMESPACE

class MainWindow : public QMainWindow
{
    Q_OBJECT

public:
    MainWindow(QWidget *parent = nullptr);
    ~MainWindow();

private:
    Ui::MainWindow *ui;

    /* 串口对象 */
    QSerialPort *serialPort;
    QLineEdit *fileLineEdit;

    void Init();
    void scanSerialPort();
    void parityItemInit();

private slots:
    void openFile();
    void openSerialPortPushButtonClicked();

};
#endif // MAINWINDOW_H
